View Issue Details

IDProjectCategoryView StatusLast Update
0026574LazarusLCLpublic2016-08-22 23:17
Reporterolivier Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSHaiku 
Summary0026574: Fix the build under Haiku
DescriptionOur port of Qt do not implement session related functions.

This patch avoid compiling those functions under Haiku.
Tagspatch
Fixed in Revision46340
LazTarget-
WidgetsetQT
Attached Files

Activities

olivier

2014-08-08 19:08

reporter  

haiku_r46023.diff (1,206 bytes)   
Index: lcl/interfaces/qt/qtobject.inc
===================================================================
--- lcl/interfaces/qt/qtobject.inc	(revision 46023)
+++ lcl/interfaces/qt/qtobject.inc	(working copy)
@@ -227,10 +227,12 @@
 
   if not FIsLibraryInstance then
   begin
+  {$IFNDEF HAIKU}
     FAppSessionQuit := QApplication_hook_create(App);
     QApplication_hook_hook_commitDataRequest(FAppSessionQuit, @SlotCommitDataRequest);
     FAppSaveSessionRequest := QApplication_hook_create(App);
     QApplication_hook_hook_saveStateRequest(FAppSaveSessionRequest, @SlotSaveDataRequest);
+  {$ENDIF}
   end else
   begin
     FAppSessionQuit := nil;
@@ -969,6 +971,7 @@
     ' errorInteraction ',dbgs(QSessionManager_allowsErrorInteraction(sessionManager)),
     ' phase2 ',dbgs(QSessionManager_isPhase2(sessionManager)));
   {$ENDIF}
+  {$IFNDEF HAIKU}
   // if session manager does not allow interaction, then we close app without any intf calls
   if QSessionManager_allowsInteraction(sessionManager) then
   begin
@@ -990,6 +993,7 @@
       QSessionManager_release(sessionManager);
     end;
   end;
+  {$ENDIF}
 end;
 
 procedure TQtWidgetSet.SlotSaveDataRequest(sessionManager: QSessionManagerH);
haiku_r46023.diff (1,206 bytes)   

Zeljan Rikalo

2014-09-27 17:57

developer   ~0077746

Please test and close if ok.

Issue History

Date Modified Username Field Change
2014-08-08 19:08 olivier New Issue
2014-08-08 19:08 olivier File Added: haiku_r46023.diff
2014-08-08 22:21 Maxim Ganetsky Assigned To => Zeljan Rikalo
2014-08-08 22:21 Maxim Ganetsky Status new => assigned
2014-09-25 20:14 Juha Manninen Tag Attached: patch
2014-09-27 17:57 Zeljan Rikalo Fixed in Revision => 46340
2014-09-27 17:57 Zeljan Rikalo LazTarget => -
2014-09-27 17:57 Zeljan Rikalo Note Added: 0077746
2014-09-27 17:57 Zeljan Rikalo Status assigned => resolved
2014-09-27 17:57 Zeljan Rikalo Resolution open => fixed
2016-08-22 23:17 olivier Status resolved => closed